libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

atsc_table_vct_descriptor_length Union Reference
Digital TV table parsing

ATSC VCT descriptor length. More...

`#include <vct.h>`

## Data Fields
uint16_t | bitfield
struct { |
uint16_t descriptor_length:10 |
uint16_t reserved:6 |
}; |

## Detailed Description

ATSC VCT descriptor length.

Parameters

  descriptor_length | descriptor length

Used internally by the library to parse the descriptor length endianness.

Definition at line 187 of file vct.h.

## Field Documentation

## ◆ [struct]

struct { ... } atsc_table_vct_descriptor_length

## ◆ bitfield

uint16_t atsc_table_vct_descriptor_length::bitfield

Definition at line 188 of file vct.h.

## ◆ descriptor_length

uint16_t atsc_table_vct_descriptor_length::descriptor_length

Definition at line 190 of file vct.h.

## ◆ reserved

uint16_t atsc_table_vct_descriptor_length::reserved

Definition at line 191 of file vct.h.

The documentation for this union was generated from the following file:

- lib/include/libdvbv5/vct.h